SDL_TextEditingEvent(3type)

NAME
SDL_TextEditingEvent - Keyboard text editing event structure (event.edit.*)

HEADER FILE
Defined in SDL3/SDL_events.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef struct SDL_TextEditingEvent
{
    SDL_EventType type; /**< ::SDL_EVENT_TEXT_EDITING */
    Uint32 reserved;
    Uint64 timestamp;   /**< In nanoseconds, populated using SDL_GetTicksNS() */
    SDL_WindowID windowID; /**< The window with keyboard focus, if any */
    char *text;         /**< The editing text */
    Sint32 start;       /**< The start cursor of selected editing text */
    Sint32 length;      /**< The length of selected editing text */
} SDL_TextEditingEvent;

DESCRIPTION
The text is owned by SDL and should be copied if the application wants to hold onto it beyond the scope of handling this event.

AVAILABILITY
This struct is available since SDL 3.0.0.